Skip to main content
GET
/
show-consents
/
{mpxn}
Show Consents
curl --request GET \
  --url https://api.central.consent/show-consents/{mpxn} \
  --header 'Authorization: Bearer <token>'
{
  "response": {
    "resource": "/<request-end-point-path>",
    "response-time-stamp": "2027-11-10T17:07:01.580Z",
    "transaction-id": "tid_691df0c788ca043403b7fa90"
  },
  "consents": [
    {
      "duid": "duid_691df0c788ca043403b7fa90",
      "evidence": {
        "consent-date": "2023-11-07T05:31:56Z",
        "user-defined-reference": "<string>",
        "terms-url": "https://datauser.com/customer-terms-and-conditions-v2.html",
        "consent-expiry": "2027-11-10T17:07:01.580Z",
        "mpxn": "1234567890123",
        "method": "Credit Card Verification",
        "address": {
          "addressLine1": "221B Baker Street",
          "townCity": "London",
          "postcode": "NW1 6XE",
          "addressLine2": "Marylebone",
          "county": "Greater London"
        }
      },
      "data-type": [
        "HH-CONSUMPTION"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer tokens are available via the /login endpoint

Path Parameters

mpxn
string
required

Meter Point Registration/Administration Number

Pattern: ^(?:[0-9A-HJ-NPR-Z]{2}[0-9]{8,9}[0-9]|[0-9]{10})$
Example:

"1234567890123"

Response

Consent verification success.

response
object
required

Metadata about the response.

consents
object[]
required
Last modified on March 9, 2026